#!/usr/bin/python3
# ------------------------------------------------------------------------------
# File: __init__.py
# Author: Elvin-Alin Sindrilaru <esindril@cern.ch>
# ------------------------------------------------------------------------------
#
# ******************************************************************************
# EOS - the CERN Disk Storage System
# Copyright (C) 2014 CERN/Switzerland
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ******************************************************************************
"""This module provides access to EOS archives. It also facilitates the operations
   that are done using such objects.
"""
from eosarch.configuration import Configuration
from eosarch.transfer import Transfer
from eosarch.processinfo import ProcessInfo
from eosarch.exceptions import NoErrorException, CheckEntryException
